Package org.apache.tools.ant.taskdefs.optional.junitlauncher.confined

# Class TestDefinition.ForkedRepresentation

java.lang.Object
org.apache.tools.ant.taskdefs.optional.junitlauncher.confined.TestDefinition.ForkedRepresentation

Enclosing class:
  `TestDefinition`

public abstract static class TestDefinition.ForkedRepresentation extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ForkedRepresentation()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract void`
  `write(JUnitLauncherTask task, XMLStreamWriter writer)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ForkedRepresentation

    public ForkedRepresentation()

- ## Method Details

  - ### write

    public abstract void write(JUnitLauncherTask task, XMLStreamWriter writer) throws XMLStreamException
    Throws:
      `XMLStreamException`